.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the InputEventMouseMotion.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_InputEventMouseMotion:

InputEventMouseMotion
=====================

**Inherits:** :ref:`InputEventMouse<class_inputeventmouse>` **<** :ref:`InputEventWithModifiers<class_inputeventwithmodifiers>` **<** :ref:`InputEvent<class_inputevent>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Input event type for mouse motion events.

Member Functions
----------------

+--------------------------------+--------------------------------------------------------------------------------------------------------------------+
| :ref:`Vector2<class_vector2>`  | :ref:`get_relative<class_InputEventMouseMotion_get_relative>`  **(** **)** const                                   |
+--------------------------------+--------------------------------------------------------------------------------------------------------------------+
| :ref:`Vector2<class_vector2>`  | :ref:`get_speed<class_InputEventMouseMotion_get_speed>`  **(** **)** const                                         |
+--------------------------------+--------------------------------------------------------------------------------------------------------------------+
| void                           | :ref:`set_relative<class_InputEventMouseMotion_set_relative>`  **(** :ref:`Vector2<class_vector2>` relative  **)** |
+--------------------------------+--------------------------------------------------------------------------------------------------------------------+
| void                           | :ref:`set_speed<class_InputEventMouseMotion_set_speed>`  **(** :ref:`Vector2<class_vector2>` speed  **)**          |
+--------------------------------+--------------------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`Vector2<class_vector2>` **relative** - Position of the mouse pointer relative to the previous mouse position.
- :ref:`Vector2<class_vector2>` **speed** - Speed of the mouse pointer.

Member Function Description
---------------------------

.. _class_InputEventMouseMotion_get_relative:

- :ref:`Vector2<class_vector2>`  **get_relative**  **(** **)** const

.. _class_InputEventMouseMotion_get_speed:

- :ref:`Vector2<class_vector2>`  **get_speed**  **(** **)** const

.. _class_InputEventMouseMotion_set_relative:

- void  **set_relative**  **(** :ref:`Vector2<class_vector2>` relative  **)**

.. _class_InputEventMouseMotion_set_speed:

- void  **set_speed**  **(** :ref:`Vector2<class_vector2>` speed  **)**


